- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Graph::EdgeIt Class Reference

## Detailed Description

This iterator goes through each edge of the graph. Its usage is quite simple, for example, you can count the number of edges in a graph `g` of type `Graph` as follows:

* int count=0;
* for(Graph::EdgeIt e(g); e!=INVALID; ++e) ++count;
*

`#include <lemon/concepts/graph.h>`

Inheritance diagram for Graph::EdgeIt:
[legend]

## Public Member Functions
| EdgeIt ()
| Default constructor. More...
| EdgeIt (const EdgeIt &e)
| Copy constructor. More...
| EdgeIt (Invalid)
| Invalid constructor & conversion. More...
| EdgeIt (const Graph &)
| Sets the iterator to the first edge. More...
| EdgeIt (const Graph &, const Edge &)
| Sets the iterator to the given edge. More...
EdgeIt & | operator++ ()
| Next edge. More...
Public Member Functions inherited from Graph::Edge
| Edge ()
| Default constructor. More...
| Edge (const Edge &)
| Copy constructor. More...
| Edge (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Edge) const
| Equality operator. More...
bool | operator!= (Edge) const
| Inequality operator. More...
bool | operator< (Edge) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

EdgeIt | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

EdgeIt | ( | const EdgeIt & | e | ) |
| inline

Copy constructor.

EdgeIt | ( | Invalid |  | ) |
| inline

Initializes the iterator to be invalid.

See Also
  Invalid for more details.

EdgeIt | ( | const Graph & |  | ) |
| inline explicit

Sets the iterator to the first edge of the given graph.

EdgeIt | ( | const Graph & | ,
|  | const Edge & |
| ) |  |
| inline

Sets the iterator to the given edge of the given graph.

## Member Function Documentation

EdgeIt& operator++ | ( |  | ) |
| inline

Assign the iterator to the next edge.